summaryrefslogtreecommitdiff
path: root/scripts/sh/wp
diff options
context:
space:
mode:
authorGeorge Abbott <george@gabbott.dev>2025-01-26 11:37:22 +0000
committerGeorge Abbott <george@gabbott.dev>2025-01-26 11:37:22 +0000
commit82abadcecc7534b4847238ee2a977f33256b0439 (patch)
treead8752c1dc9914829e80bc2f3f1a45dfec8f4b4a /scripts/sh/wp
parentbac748dbe8c28cf1ed3b387b24f89ffe5a58ffc9 (diff)
sh
Diffstat (limited to 'scripts/sh/wp')
-rwxr-xr-xscripts/sh/wp18
1 files changed, 18 insertions, 0 deletions
diff --git a/scripts/sh/wp b/scripts/sh/wp
new file mode 100755
index 0000000..3ef5aa4
--- /dev/null
+++ b/scripts/sh/wp
@@ -0,0 +1,18 @@
+#!/bin/sh
+# Write Poem
+# Format of the poem is in the same way as wv.
+
+list() {
+ out="file date title\n"
+ for f in $(find $WWW_DEFAULT_PATH/src/poetry -type f | sort -k 3) ; do
+ out="$out$(basename "$f") $(sed -n 2p $f) $(sed -n 1p $f)\n"
+ done
+
+ printf "$(printf "$out" | column -ts ' ')\n"
+}
+
+[ -z "$WWW_DEFAULT_PATH" ] && echo "WWW_DEFAULT_PATH not set" && exit 1
+[ -z "$1" ] && echo "You must provide a name" && exit 2
+[ "$1" = "ls" ] && list && exit 0
+
+nvim "$WWW_DEFAULT_PATH/src/poetry/$1"